KIP People API (Public)

ExportMyUserData

Create an export job for exporting the current user’s data

post

Response

application/json

The request has been accepted for processing, but processing has not yet completed.

Models.Responses.GdprExportResponse

The request has been accepted for processing, but processing has not yet completed.

dataobjectrequired
Show Child Parameters
linksarray[object]required
Show Child Parameters
post/users/me/exports/data
 
application/json

Companies

CreateCompany

Create a new company

post

Body

application/json

Models.CreateCompanyRequest

namestringrequired

Name of the Company

addressLine1stringrequired

Address line 1

addressLine2string

Address line 2

addressLine3string

Address line 3

addressLine4stringrequired

City part of the address

Example:Gent

postalCodestringrequired

Postal code of the city

Example:9000

countrystringrequired

Country in which the company resides

Match pattern:[a-zA-Z]{2,4}

Example:BE

phoneNumberstringrequired

Phone number

<= 35 characters

mobilePhoneNumberstringrequired

Mobile phone number

<= 35 characters

emailstring(email)required

Standard e-mail to which invoices will be sent

Example:development@kinepolis.com

taxRegistrationNumberstringrequired

VAT registration number

Can’t change after create

Match pattern:[a-zA-Z0-9]{0,16}

Example:BE0415928179

companyRegistrationNumberstringrequired

Company registration number in case of no VAT (eg. Ondernemingsnummer in Belgium)

Can’t change after create

Match pattern:[a-zA-Z0-9]{0,16}

Example:0415928179

languagestringrequired

Language in which invoices will be sent

Match pattern:[a-zA-Z]{2,3}

Example:NL

Response

application/json

The request has succeeded and a new resource has been created as a result.

The request has succeeded and a new resource has been created as a result.

datastring(uuid)required
linksarray[object]required
Show Child Parameters
post/companies

Body

{ "name": "name", "addressLine1": "addressLine1", "addressLine4": "Gent", "postalCode": "9000", "country": "BE", "phoneNumber": "phoneNumber", "mobilePhoneNumber": "mobilePhoneNumber", "email": "development@kinepolis.com", "taxRegistrationNumber": "BE0415928179", "companyRegistrationNumber": "0415928179", "language": "NL" }
 
application/json

UpdateCompany

Update an existing company

put

Path Parameters

companyIdstring(uuid)required

Body

application/json

Models.UpdateCompanyRequest

namestringrequired

Name of the Company

addressLine1stringrequired

Address line 1

addressLine2string

Address line 2

addressLine3string

Address line 3

addressLine4stringrequired

City part of the address

Example:Gent

postalCodestringrequired

Postal code of the city

Example:9000

countrystringrequired

Country in which the company resides

Match pattern:[a-zA-Z]{2,4}

Example:BE

phoneNumberstringrequired

Phone number

<= 35 characters

mobilePhoneNumberstringrequired

Mobile phone number

<= 35 characters

emailstring(email)required

Standard e-mail to which invoices will be sent

Example:development@kinepolis.com

languagestringrequired

Language in which invoices will be sent

Match pattern:[a-zA-Z]{2,3}

Example:NL

Response

The request has succeeded.

put/companies/{companyId}

Body

{ "name": "name", "addressLine1": "addressLine1", "addressLine4": "Gent", "postalCode": "9000", "country": "BE", "phoneNumber": "phoneNumber", "mobilePhoneNumber": "mobilePhoneNumber", "email": "development@kinepolis.com", "language": "NL" }
 

User Items